import request from '@/utils/request'

// 查询门店信息列表
export function listInfo(query) {
  return request({
    url: '/shop/info/list',
    method: 'get',
    params: query
  })
}

// 查询门店信息详细
export function getInfo(shopId) {
  return request({
    url: '/shop/info/' + shopId,
    method: 'get'
  })
}

// 新增门店信息
export function addInfo(data) {
  return request({
    url: '/shop/info',
    method: 'post',
    data: data
  })
}

// 修改门店信息
export function updateInfo(data) {
  return request({
    url: '/shop/info',
    method: 'put',
    data: data
  })
}

// 删除门店信息
export function delInfo(shopId) {
  return request({
    url: '/shop/info/' + shopId,
    method: 'delete'
  })
}
